Subject: bug#69241: Fixed patch issues

From: Daniel Pettersson <[email-masked]>
Date: Mon, 11 Mar 2024 15:48:02 +0100

Eli Zaretskii <[email-masked]> writes:

> Can't the code activate the timers in reverse order?  Then each
> timer--activate will likely compare with just one timer, the first
> one.

In my patch they do.  As all timers are using the same time list and
pushed on timer-list in the correct order.  Feels like *I* have pushed
this thread into bikeshedding territory :)

> Timers must fire in the order of their time, so they must be kept
> sorted, or else running the timer functions and removing the timer
> from the list will be much more complex.
>
> Assuming that timers are sorted is not relying on the internals, if
> you ask me.

Great,  what actions do I need to take to move forward with this
maintainership thing?

/Daniel